1

I have to switch off error handling and use the less than ideal EE native error handling page. I get the following error message when I try to use error_handling="inline"

Fatal error: Call to undefined method EE_Core::generate_page() in …./store/mod.store.php on line 784

EE version: 2.1.3 Build 20101220 Store version: 1.6.3

I'm using the example template, which comes with Exp:resso Store. All other aspects of the Store module work perfectly, it's just the error_handling which doesn't.

Thanks for any assistance/advice!

1
  • We need more information to help. What version of EE & Store are you using. What does your template look like? – Justin Long Mar 25 '13 at 21:33
2

Store doesn't support ExpressionEngine 2.1.3.

You will need to upgrade to at least ExpressionEngine 2.2.0 - though preferably the most recent version. It's a good idea to keep software on an e-commerce website (where security is critical) up to date.

3
  • Thanks Adrian for the reply. I will upgrade as you suggest, however, I'm a bit surprised that "Store doesn't support ExpressionEngine 2.1.3" as all other aspects of the Store module work perfectly on my site – Jay Mar 26 '13 at 16:04
  • I've just upgraded to 2.5.5 and all (including error_handling) works a treat. Thanks again Adrian! – Jay Mar 26 '13 at 17:48
  • No problem! For future reference, that EE_Core::generate_page() method was introduced in 2.2.0, hence why you were seeing the error. – Adrian Macneil Mar 26 '13 at 18:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.